Subject: Re: [PATCH v2] rebase -i: add config to abbreviate command-names

From: liam Beguin <[email-masked]>
Date: Tue, 25 Apr 2017 19:34:26 -0400

Hi Jake, 

On Tue, 2017-04-25 at 01:29 -0700, Jacob Keller wrote:
> On Mon, Apr 24, 2017 at 11:29 PM, Junio C Hamano <[email-masked]> wrote:
> > Personally I am happy with the beginning of each instruction line
> > aligned, so from that point of view, this patch is a mild Meh to me,
> > even though I do a fair amount of "rebase -i" myself.  But obviously
> > I am not the only user of Git you need to please, so...
> 
> I would instead justify this as making it easier to change the action,
> since you only need to rewrite a single letter, which at least in vim
> takes "r<letter>" to change the action, vs slightly more keystrokes
> such as "ct <letter" or otherwise.

It's another reason that motivated the change but I didn't think the
vim shortcuts would justify the patch. Since you pointed it out, 
I'll probably add it.

> 
> Also, if you change the default commit hash length, it becomes long
> enough to cover most commits and you see all commits at say 12 digits
> commit hash and everything is nicely aligned.
> 
> Thanks,
> Jake

Thanks,
Liam